Modify

Opened 9 years ago

Closed 9 years ago

#4337 closed enhancement (worksforme)

Please add more concrete license info

Reported by: anonymous Owned by: Noah Kantrowitz
Priority: normal Component: MasterTicketsPlugin
Severity: normal Keywords:
Cc: Trac Release: 0.11

Description

The only position where "BSD License" is mentoined for your plugin is the setup.py. Could you please add an header with the BSD License or stating the availability under the terms of BSD License in your source files?

Attachments (0)

Change History (5)

comment:1 Changed 9 years ago by Noah Kantrowitz

Resolution: wontfix
Status: newclosed

The statement of license there is sufficient. Unless you have legal precedent showing me that isn't considered valid, I don't know why I would bother.

comment:2 Changed 9 years ago by Christoph Egger

Resolution: wontfix
Status: closedreopened

There are at least 2 Problems with your Answer.

First there are 2 different Versions of OSI approved BSD Licenses (First Note on http://opensource.org/licenses/bsd-license.php)

Second, I can tell you that I'll be unable to get this plugin supported in Debian GNU/Linux without additional copyright information.

While I won't force you to make your plugin debian compatible I ask you at least to clarify which BSD License is used for your Software

comment:3 Changed 9 years ago by Noah Kantrowitz

I think it reasonably obvious that I use the modern version of the BSD license. Granted I wouldn't be thrilled if someone used my name to advertise anything, but I think the risk of that is pretty low, don't you? My software works fine with Debian and all Debian variants as far as I know, and I use it with Ubuntu on a daily basis. Can you cite specific compatibility issues?

comment:4 Changed 9 years ago by Christoph Egger

By saying «getting supported in Debian» I was thinking of having the plugin in the offical archive system (where one can install it by apt). For doing so there are strict conditions for example on license. This is set up by the so called social contract http://www.debian.org/social_contract

comment:5 Changed 9 years ago by Noah Kantrowitz

Resolution: worksforme
Status: reopenedclosed

Does that get me anything that easy_install doesn't? (which I already push support for in all my new plugins) If Debian doesn't think that a simple declaration of license isn't enough, then I suggest you revise your policies since I am not going to go update 4 dozen plugins times however many files just for that.

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain Noah Kantrowitz.
The resolution will be deleted.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.